# ZenUML CodeMirror Plugins

CodeMirror 6 extensions for ZenUML, providing syntax highlighting, autocompletion, and other features for ZenUML diagrams.

## Installation

```bash
npm install @zenuml/codemirror-plugins
# or
yarn add @zenuml/codemirror-plugins
# or
pnpm add @zenuml/codemirror-plugins
```

## Usage

```typescript
import { EditorState } from '@codemirror/state';
import { EditorView } from '@codemirror/view';
import { zenUMLExtension, darkTheme } from '@zenuml/codemirror-plugins';

// Create a new editor
const editor = new EditorView({
  state: EditorState.create({
    doc: 'Your ZenUML code here',
    extensions: [
      zenUMLExtension(),
      // Optional: Add dark theme
      darkTheme
    ]
  }),
  parent: document.querySelector('#editor')
});
```

## Features

- Syntax highlighting for ZenUML
- Dark mode support
- [Add other features here]

## Development

```bash
# Install dependencies
pnpm install

# Run development server
pnpm dev

# Run tests
pnpm test

# Build the package
pnpm build:package
```

## License

MIT

## Contributing

Contributions are welcome! Please feel free to submit a Pull Request. 