import { EditorView } from '@codemirror/view';
const darkModeClass = EditorView.theme({
    "&": { "&.cm-editor": { "&.cm-theme-dark": {} } }
});
// Create theme toggle extension
export const createThemeExtension = (view, compartment, darkTheme, lightTheme) => {
    const mediaQuery = window.matchMedia('(prefers-color-scheme: dark)');
    const updateTheme = (isDark) => {
        const theme = isDark ? [darkTheme, darkModeClass] : [lightTheme];
        view.dispatch({
            effects: compartment.reconfigure(theme)
        });
    };
    // Listen for system theme changes
    mediaQuery.addEventListener('change', (e) => {
        updateTheme(e.matches);
    });
    return {
        updateTheme
    };
};
//# sourceMappingURL=theme-toggle.js.map