import './style.css';
import { EditorState } from '@codemirror/state';
import { EditorView, keymap } from '@codemirror/view';
import { defaultKeymap } from '@codemirror/commands';
import { highlightExtension } from './extensions';
// Create the editor state
const startState = EditorState.create({
    doc: `Example editor with custom extension:
TODO: This will be highlighted
FIXME: This will also be highlighted
Normal text is not highlighted
XXX: This is highlighted too`,
    extensions: [
        keymap.of(defaultKeymap),
        highlightExtension,
        EditorView.theme({
            '&': {
                height: '400px',
                border: '1px solid #ddd',
                fontFamily: 'monospace'
            }
        })
    ]
});
// Create and mount the editor
new EditorView({
    state: startState,
    parent: document.getElementById('editor')
});
//# sourceMappingURL=main.js.map